Page MenuHomePhabricator

New task comment dropdown is confusing
Closed, ResolvedPublic

Description

Task actions are, confusingly enough, under a "Add comment" header (this is covered by some previous report). Adding to confusion, the dropdown initial selection is "comment", which suggests the other selections exclude commenting (dropdowns list mutually exclusive options), while they don't. The initial selection should be "None" or something like that.

Found while cluelessly trying to figure out how to add CCs to http://fab.wmflabs.org/T167#28 .

Cf. T78830

Details

Reference
fl400
TitleReferenceAuthorSource BranchDest Branch
Draft: bullseye-mariadb: Initial versionrepos/releng/dev-images!38kharlanT238925main
Customize query in GitLab

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:39 AM
flimport set Reference to fl400.

I think at this point we have enough proof that, even if the behavior is not obvious, users have no problem discovering and handling the action after the very initial phase of Phabricator use.

For what is worth, we have a screencast in Phabricator/Help showing the different options: https://commons.wikimedia.org/wiki/File:Gciwikimedia4.webm

There is no clear indication of what should be fixed in Phabricator. When it comes to proposals to be upstreamed, they are more effective when they are precise.

Proposing to decline this task since we are not going to put own resources in improving this area. Specific requests to be upstreamed could be created as new tasks, or they could be directly reported upstream.

I think at this point we have enough proof that, even if the behavior is not obvious, users have no problem discovering and handling the action after the very initial phase of Phabricator use.

I see no evidence of this.

Nemo_bis set Security to None.
Qgil lowered the priority of this task from Low to Lowest.Dec 23 2014, 7:05 PM

The initial selection should be "None"

So is the whole point of this task to change "Comment" in the default dropdown option by "None"? I disagree. Commenting is an action. None sounds like no action at all.

Anyway, I see no evidence about new task comment dropdown being confusing for regular Phabricator users, which are the ones that most likely will need to do anything other than simply commenting.

Qgil claimed this task.
In T238#852784, @Qgil wrote:

Proposing to decline this task since we are not going to put own resources in improving this area.

Nemo_bis changed the task status from Declined to Resolved.May 18 2016, 9:11 PM

The problem was real and the interface has in fact been changed:

phabricator-take-action.png (166×550 px, 6 KB)